On 12/01/2016 09:38 AM, Paolo Cavallini wrote:
Il 01/12/2016 08:33, Micha Silver ha scritto:

Indeed, in Ubuntu the maplotlib libraries do not have that module. This
works:
from matplotlib.backends.backend_qt4agg import NavigationToolbar2QT as
NavigationToolbar
(NavigationToolbarQT without the Agg at the end)

I checked on a Windows 7 machine with QGIS 2.18 standalone and the
plugin installs fine.

Any ideas how to straighten this out on Ubuntu?
Hi Micha,
thanks for your note. In fact, the plugin would need a bit of love,
especially upgrading it for the upcoming QGIS3.
Anyone interested?
All the best.
The work around is to replace two occurances of "NavigationToolbar2QTAgg" with "NavigationToolbar2QT". That extra module (...Agg) was deprecated as of maplotlib 1.5.1. I can't find where to enter an issue for this specific plugin, so it doesn't get lost.

Updating to QGIS3 means, I guess, porting to python 3?


_______________________________________________
Qgis-user mailing list
Qgis-user@lists.osgeo.org
List info: http://lists.osgeo.org/mailman/listinfo/qgis-user
Unsubscribe: http://lists.osgeo.org/mailman/listinfo/qgis-user

Reply via email to